public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/mkvtoolnix/
Date: Wed, 18 May 2022 02:09:05 +0000 (UTC)	[thread overview]
Message-ID: <1652839731.4bfec4188daa52de0eb9d27c483fec11dfed3540.sam@gentoo> (raw)

commit:     4bfec4188daa52de0eb9d27c483fec11dfed3540
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed May 18 02:08:46 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 18 02:08:51 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bfec418

media-video/mkvtoolnix: sync live ebuild

Bug: https://bugs.gentoo.org/844097
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/mkvtoolnix/mkvtoolnix-9999.ebuild | 48 +++++++++++++++------------
 1 file changed, 27 insertions(+), 21 deletions(-)

diff --git a/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild b/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
index 6bb7e14ab307..e228b9bbe6b3 100644
--- a/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
+++ b/media-video/mkvtoolnix/mkvtoolnix-9999.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
 inherit autotools flag-o-matic multiprocessing qmake-utils xdg
 
@@ -19,36 +19,37 @@ HOMEPAGE="https://mkvtoolnix.download/ https://gitlab.com/mbunkus/mkvtoolnix"
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="dbus debug dvd nls pch test"
+IUSE="dbus debug dvd gui nls pch test"
 RESTRICT="!test? ( test )"
 
 # check NEWS.md for build system changes entries for boost/libebml/libmatroska
 # version requirement updates and other packaging info
 RDEPEND="
 	>=dev-libs/boost-1.66:=
-	>=dev-libs/libebml-1.4.0:=
-	>=dev-libs/libfmt-6.1.0:=
-	dev-libs/libpcre2:=
-	dev-libs/pugixml:=
+	dev-libs/gmp:=
+	>=dev-libs/libebml-1.4.2:=
+	>=dev-libs/libfmt-8.0.1:=
+	>=dev-libs/pugixml-1.11:=
 	media-libs/flac:=
 	>=media-libs/libmatroska-1.6.3:=
 	media-libs/libogg:=
 	media-libs/libvorbis:=
-	sys-apps/file
 	sys-libs/zlib
 	dvd? ( media-libs/libdvdread:= )
 	dev-qt/qtcore:5
-	dev-qt/qtgui:5
-	dev-qt/qtnetwork:5
-	dev-qt/qtwidgets:5
-	dev-qt/qtconcurrent:5
-	dev-qt/qtmultimedia:5
+	gui? (
+		dev-qt/qtgui:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtwidgets:5
+		dev-qt/qtconcurrent:5
+		dev-qt/qtmultimedia:5
+	)
 	app-text/cmark:0=
 	dbus? ( dev-qt/qtdbus:5 )
 "
 DEPEND="${RDEPEND}
-	dev-cpp/nlohmann_json
-	dev-libs/utfcpp
+	>=dev-cpp/nlohmann_json-3.9.1
+	>=dev-libs/utfcpp-3.1.2
 	test? ( dev-cpp/gtest )
 "
 BDEPEND="
@@ -62,16 +63,20 @@ BDEPEND="
 	)
 "
 
-PATCHES=( "${FILESDIR}"/mkvtoolnix-58.0.0-qt5dbus.patch )
+PATCHES=(
+	"${FILESDIR}"/mkvtoolnix-58.0.0-qt5dbus.patch
+	"${FILESDIR}"/mkvtoolnix-67.0.0-no-uic-qtwidgets.patch
+)
 
 src_prepare() {
-	xdg_src_prepare
+	default
+
 	if [[ ${PV} == *9999 ]]; then
 		./autogen.sh || die
 	fi
 
-	# https://bugs.gentoo.org/692018
-	sed -e 's/pandoc/diSaBlEd/' -i ac/pandoc.m4 || die
+	# bug #692018
+	sed -i -e 's/pandoc/diSaBlEd/' ac/pandoc.m4 || die
 
 	eautoreconf
 
@@ -80,16 +85,17 @@ src_prepare() {
 }
 
 src_configure() {
-	# bug 692322, use system dev-libs/utfcpp
+	# bug #692322, use system dev-libs/utfcpp
 	append-cppflags -I"${ESYSROOT}"/usr/include/utf8cpp
 
 	local myeconfargs=(
 		$(use_enable debug)
 		$(usex pch "" --disable-precompiled-headers)
 		$(use_enable dbus)
+		$(use_enable gui)
 		--disable-qt6
 		--enable-qt5
-		--with-qmake=$(qt5_get_bindir)/qmake
+		--with-qmake="$(qt5_get_bindir)"/qmake
 		$(use_with dvd dvdread)
 		$(use_with nls gettext)
 		$(usex nls "" --with-po4a-translate=false)


             reply	other threads:[~2022-05-18  2:09 UTC|newest]

Thread overview: 187+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-18  2:09 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-14 11:14 [gentoo-commits] repo/gentoo:master commit in: media-video/mkvtoolnix/ Sam James
2025-02-21 13:02 Sam James
2025-02-21 13:02 Sam James
2025-01-16 19:26 Sam James
2025-01-15 21:20 Sam James
2024-11-19 12:28 Petr Vaněk
2024-11-19 12:28 Petr Vaněk
2024-11-19 12:28 Petr Vaněk
2024-11-09 10:47 Arthur Zamarin
2024-11-09  9:02 Arthur Zamarin
2024-11-08  3:47 Sam James
2024-11-08  2:49 Sam James
2024-07-09  8:25 Sam James
2024-05-29 17:37 Sam James
2024-05-29 17:37 Sam James
2024-05-29 17:37 Sam James
2024-05-28  2:19 Sam James
2024-05-28  2:19 Sam James
2024-05-28  2:19 Sam James
2024-04-01  7:18 Sam James
2024-03-21  2:45 Sam James
2024-03-21  2:45 Sam James
2024-01-20 11:49 Sam James
2024-01-20 11:49 Sam James
2023-12-30  1:26 Ionen Wolkens
2023-09-07 23:27 Sam James
2023-06-05  9:51 Alexis Ballier
2023-05-27 16:07 Sam James
2023-05-27 12:45 Sam James
2023-05-19 17:45 Sam James
2023-05-19 17:45 Sam James
2023-05-06  9:48 James Le Cuirot
2023-04-18 22:18 James Le Cuirot
2022-12-21 22:47 Sam James
2022-12-21 22:47 Sam James
2022-12-18 21:13 Arthur Zamarin
2022-12-18 21:13 Arthur Zamarin
2022-11-14 16:33 Alexis Ballier
2022-11-12 16:06 Arthur Zamarin
2022-11-12 16:06 Arthur Zamarin
2022-10-27 12:30 Alexis Ballier
2022-09-03  5:27 Sam James
2022-09-03  5:27 Sam James
2022-07-10 19:25 Sam James
2022-07-08 21:51 Sam James
2022-07-08  7:44 Sam James
2022-07-07 14:25 Alexis Ballier
2022-07-06 19:33 Sam James
2022-05-31 11:05 Jakov Smolić
2022-05-31  8:52 Agostino Sarubbo
2022-05-31  7:07 Jakov Smolić
2022-05-30 23:30 Sam James
2022-05-18  2:10 Sam James
2022-01-02 10:54 Jakov Smolić
2022-01-02  5:49 Sam James
2022-01-02  0:04 Sam James
2022-01-01 17:39 Arthur Zamarin
2022-01-01 16:38 Arthur Zamarin
2021-09-19  7:12 Andreas K. Hüttel
2021-09-08  3:09 Sam James
2021-09-08  3:08 Sam James
2021-08-24 11:41 Agostino Sarubbo
2021-08-24 11:41 Agostino Sarubbo
2021-08-24 11:40 Agostino Sarubbo
2021-08-23 22:16 Agostino Sarubbo
2021-08-03 13:37 Alexis Ballier
2021-08-03 13:37 Alexis Ballier
2021-06-22 20:44 David Seifert
2021-05-30  5:15 Sam James
2021-05-29  8:43 Agostino Sarubbo
2021-05-28 19:54 Sam James
2021-05-28 19:40 Agostino Sarubbo
2021-05-28 12:02 Agostino Sarubbo
2021-04-17 20:08 Pacho Ramos
2021-04-10  9:18 Thomas Raschbacher
2020-10-22 12:22 Alexis Ballier
2020-10-07  6:42 Agostino Sarubbo
2020-10-01 23:06 Sergei Trofimovich
2020-10-01 22:55 Sergei Trofimovich
2020-09-30 17:08 Alexis Ballier
2020-09-07  8:47 Sergei Trofimovich
2020-09-07  8:20 Sergei Trofimovich
2020-08-22  5:50 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-06-30  2:49 Tim Harder
2020-06-30  2:49 Tim Harder
2020-06-15  9:47 Tim Harder
2020-05-15  5:07 Tim Harder
2020-04-05 10:05 Tim Harder
2020-01-31  8:50 Tim Harder
2020-01-18  3:39 Tim Harder
2019-12-15 20:53 David Seifert
2019-09-29 20:54 Sergei Trofimovich
2019-09-26  6:52 Sergei Trofimovich
2019-09-15 11:36 David Seifert
2019-09-15 11:36 David Seifert
2019-07-28 21:21 Andreas Sturmlechner
2019-07-23  8:23 Agostino Sarubbo
2019-07-21  8:25 Sergei Trofimovich
2019-07-18 14:32 Thomas Deutschmann
2019-07-18 13:19 Kent Fredric
2019-06-30 12:37 Pacho Ramos
2019-06-30 12:37 Pacho Ramos
2019-06-30 12:37 Pacho Ramos
2019-06-22 22:41 Tim Harder
2019-04-21  8:21 Tim Harder
2019-03-28  7:03 Tim Harder
2019-03-23 12:25 Pacho Ramos
2019-03-04 22:02 Tim Harder
2019-03-04 22:02 Tim Harder
2019-02-25 15:13 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-23 11:58 Sergei Trofimovich
2019-02-17 17:40 Sergei Trofimovich
2019-02-17 17:40 Sergei Trofimovich
2019-01-23  7:18 Tim Harder
2018-12-29 21:04 Tim Harder
2018-12-12  8:25 Tim Harder
2018-05-09 12:47 Alexis Ballier
2018-04-22 17:56 Alexis Ballier
2018-03-26  3:37 Tim Harder
2018-03-24 13:30 Tim Harder
2018-03-17 13:32 Alexis Ballier
2018-02-25 21:52 Sergei Trofimovich
2018-01-28 15:58 Mikle Kolyada
2018-01-28 15:36 Sergei Trofimovich
2018-01-26 23:24 Thomas Deutschmann
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:05 Alexis Ballier
2018-01-21 12:05 Alexis Ballier
2017-12-20  8:22 Tim Harder
2017-11-20  7:17 Tim Harder
2017-10-17  0:35 Tim Harder
2017-10-12 17:16 Tim Harder
2017-10-04 11:09 Alexis Ballier
2017-09-05 19:19 Pacho Ramos
2017-08-23 14:46 Tim Harder
2017-08-23 12:49 Tim Harder
2017-08-23  7:30 Alexis Ballier
2017-07-25 17:22 Steve Dibb
2017-07-25 15:23 Steve Dibb
2017-06-28  9:35 Alexis Ballier
2017-06-16  9:36 Alexis Ballier
2017-05-25 14:50 Alexis Ballier
2017-04-26  9:51 Tim Harder
2017-04-24 20:47 Tim Harder
2017-03-29  8:10 Alexis Ballier
2017-02-23  9:16 Alexis Ballier
2017-01-24 10:37 Alexis Ballier
2017-01-24 10:37 Alexis Ballier
2017-01-10  3:46 Aaron Bauman
2017-01-07 19:43 Tim Harder
2017-01-04 11:58 Alexis Ballier
2016-12-29 13:04 Alexis Ballier
2016-12-29 13:04 Alexis Ballier
2016-12-09  7:34 Tim Harder
2016-12-01 14:12 Alexis Ballier
2016-10-18 15:03 Alexis Ballier
2016-09-14 16:52 Alexis Ballier
2016-08-23 15:11 Alexis Ballier
2016-07-18 12:24 Alexis Ballier
2016-07-18 12:24 Alexis Ballier
2016-06-08 10:36 Alexis Ballier
2016-05-12 12:14 Alexis Ballier
2016-04-01  5:43 Alexis Ballier
2016-02-23 16:02 Alexis Ballier
2016-01-25  4:02 Tim Harder
2016-01-12  8:43 Alexis Ballier
2016-01-05  8:34 Alexis Ballier
2015-12-14 14:12 Agostino Sarubbo
2015-12-01 12:31 Alexis Ballier
2015-11-07 18:32 Alexis Ballier
2015-11-07 13:13 Pacho Ramos
2015-10-24  9:47 Alexis Ballier
2015-10-20  8:30 Alexis Ballier
2015-10-16  9:08 Alexis Ballier
2015-10-06  9:42 Alexis Ballier
2015-08-21 12:13 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1652839731.4bfec4188daa52de0eb9d27c483fec11dfed3540.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox